--- title: "Get Transaction Status and Metadata" slug: "get-transaction-status-and-metadata" updated: 2025-06-27T19:51:41Z published: 2025-06-27T19:51:41Z canonical: "docs.onespan.com/get-transaction-status-and-metadata" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.onespan.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Transaction Status and Metadata The Get Transaction Status and Metadata API retrieves the transaction status and the metadata of a transaction based on its ID (uuid: transaction_id). If you want to obtain the verification ID of a completed transaction, you need to use the withVerifications parameter. The verification ID is required for the retrieval of a transaction's verification images. For more information, see [Retrieve verification images](/v1/docs/retrieve-verification-images). ## Syntax ```http GET /api/transaction/uuid: transaction_id(?withVerifications=true/false optional) ``` ## Examples ### Example requests ```http GET /api/transaction/dcaad720-d1e9-47ba-a76b-a6370ef0373b HTTP/1.1 Host: onespan.com Accept: application/json, text/javascript ``` #### Example request including withVerifications parameter ```http GET /api/transaction/dcaad720-d1e9-47ba-a76b-a6370ef0373b?withVerifications=true HTTP/1.1 Host: onespan.com ``` ### Example responses ```http HTTP/1.1 200 OK Vary: Accept Content-Type: application/json {  "id":"dcaad720-d1e9-47ba-a76b-a6370ef0373b",  "status":"new",  "created":"2017-04-23T18:25:43.511Z",  "tenant_id":"5e52d7b8-8b18-41a4-9187-d4ce75af681",  "workflow_id":"80b601c9-f102-4761-9eaa-90ba8fcb58b6",  "urlSetKey":"default",  "brand_id":"a089f718-f12d-4b13-b82e-e1d8b324337d",  language":"english",  "tokens": [...],  "users": [...],  "documents": [...],  "events": [...] } ``` #### Example response when using withVerifications parameter ```http HTTP/1.1 200 OK Vary: Accept Content-Type: application/json {  "id":"dcaad720-d1e9-47ba-a76b-a6370ef0373b",  "status":"new",  "created":"2017-04-23T18:25:43.511Z",  "tenant_id":"5e52d7b8-8b18-41a4-9187-d4ce75af681",  "workflow_id":"80b601c9-f102-4761-9eaa-90ba8fcb58b6",  "urlSetKey":"default",  "brand_id":"a089f718-f12d-4b13-b82e-e1d8b324337d",  language":"english",  "tokens": [...],  "verifications": [...],  "users": [...],  "documents": [...],  "events": [...] } ``` ### Headers The following headers are included in the request and the response: #### Request headers - [Accept](https://tools.ietf.org/html/rfc7231#section-5.3.2): The response content type depends on the Accept header. - [Authorization](https://tools.ietf.org/html/rfc7235#section-4.2): The OAuth/JWT token to authenticate. #### Response headers - [Content-Type](https://tools.ietf.org/html/rfc7231#section-3.1.1.5): application/json ### Status codes

Status codes

Status code

Name

Description

200

OK

No error.

400

Bad Request

The transaction data is invalid.

401

Unauthorized

Invalid token.

403

Forbidden

The token does not grant transaction creation rights.

500

Internal Server Error

Server or application error.